{% extends '@App/base.html.twig' %}

{% block body %}
    <h2>{{ 'dashboard.titles.editableTemplate'|trans }}</h2>

    <table class="table" tabindex="0">
        <thead>
        <tr>
            <th>{{ 'dashboard.title'|trans }}</th>
            <th>{{ 'dashboard.description'|trans }}</th>
            <th>{{ 'dashboard.creationDate'|trans }}</th>
            <th>{{ 'dashboard.actions'|trans }}</th>
        </tr>
        </thead>
        <tbody>
        {% for template in templatesEditable %}

            <tr>
                <td>{{ template.name }}</td>
                <td>{{ template.shortDescription }}</td>
                <td>{{ template.creationDate? template.creationDate|date("d/m/Y H:i:s") : '/' }}</td>
                <td>
                    <a class="icon-box" href="{{ path('template_edit', {id: template.id}) }}"
                       title="{{ 'actionHelper.edit'|trans }}"><i class="fa fa-edit"></i></a>

                    <a class="icon-box" href="{{ path('template_view', {id: template.id}) }}"
                       title="{{ 'actionHelper.view'|trans }}"
                       target="_blank"><i class="fa fa-eye"></i></a>

                    <a class="icon-box"
                       href="{{ path('template_print', {id: template.id, format: "pdf"}) }}"
                       title="{{ 'actionHelper.print'|trans }}"><i class="fa fa-file-pdf-o"></i></a>

                    <a class="icon-box confirm-it" href="{{ path('template_remove', {id: template.id}) }}"
                       title="{{ 'actionHelper.remove'|trans }}"><i class="fa fa-remove"></i></a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="5">{{ 'dashboard.template.emptyMyTemplate'|trans }}</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
{% endblock %}

{% block stylesheets %}{% endblock %}
